// What do the part of speech symbols mean? See here:
// http://www.rednoise.org/rita/documentation/ripostagger_class_ripostagger.htm
//
// What about the phonetic transcription? Here's the key:
// http://www.speech.cs.cmu.edu/cgi-bin/cmudict?in=C+M+U+Dictionary#phones
// (for 'ax' read the 'a' in 'about')
//
import com.decontextualize.a2z.TextFilter;
import rita.*;

public class Analyze extends TextFilter {
  public static void main(String[] args) {
    new Analyze().run();
  }

  RiAnalyzer ra = new RiAnalyzer(null);

  public void eachLine(String line) {
    if (line.length() > 0) {
      ra.analyze(line);
      println(line);
      println(ra.getPos());
      println(ra.getPhonemes());
      println(ra.getStresses());
      println();
    }
  }

}
