import com.decontextualize.a2z.TextFilter;
import rita.*;
import java.util.ArrayList;
import java.util.Arrays;

public class PhonemeMarkov extends TextFilter {
  public static void main(String[] args) {
    new PhonemeMarkov().run();
  }
  
  TokenMarkov mark = new TokenMarkov(4, 40);
  RiAnalyzer ra = new RiAnalyzer(null);

  public void eachLine(String line) {
    if (line.length() > 0) {
      ra.analyze(line);
      String phonemes = ra.getPhonemes();
      mark.feedLine(phonemes.split("\\W"));
    }
  }

  public void end() {
    String output = mark.generateLine();
    println(output);
  }

}
